# Type Alias FindViewsPred

FindViewsPred: (
arg0: {
state_fields: FieldLike[];
viewrow: View;
viewtemplate?: ViewTemplate;
},
) => boolean

#### Type Declaration

- - (
    arg0: {
    state_fields: FieldLike[];
    viewrow: View;
    viewtemplate?: ViewTemplate;
    },
    ): boolean

  - #### Parameters

    - arg0: { state_fields: FieldLike[]; viewrow: View; viewtemplate?: ViewTemplate }

    #### Returns boolean

- Defined in packages/saltcorn-data/models/view.ts:1013